# Aseba

[![Build Status](https://travis-ci.org/aseba-community/aseba.svg?branch=master)](https://travis-ci.org/aseba-community/aseba)
[![Build status](https://ci.appveyor.com/api/projects/status/dh1y2age3iwnxs9y/branch/master?svg=true)](https://ci.appveyor.com/project/cor3ntin/aseba-rxc85/branch/master)

Aseba is a set of tools which allow novices to program robots easily and efficiently.
For these reasons, Aseba is well-suited for robotic education and research.
Aseba is an open-source software created by [Dr. Stéphane Magnenat](http://stephane.magnenat.net) with contributions from the community.
Copyright (C) 2007–2018 the authors, see [authors.txt](authors.txt) for details.
Released under LGPL3, see [license.txt](license.txt) for details.

## Supported platforms

Aseba can be compiled and run on Linux, MacOS, Windows, and some embedded systems.


## Building from source

Please refer to the [compilation instructions](docs/en/development/building.rst)

## Use Aseba

Informations on how to use Aseba is available on [read the docs](http://aseba.readthedocs.io).

If you use Aseba in an academic project leading to a publication, please cite:

> ASEBA: A Modular Architecture for Event-Based Control of Complex Robots
> Stéphane Magnenat, Philippe Rétornaz, Michael Bonani, Valentin Longchamp, and Francesco Mondada.
> In IEEE/ASME Transactions on Mechatronics, 16(2), pages 321–329, April, 2011, DOI: 10.1109/TMECH.2010.2042722.
    
[full text document](https://infoscience.epfl.ch/record/144059/files/aseba-ieee-tr.pdf)

## Thymio and Mobsya fork

[Thymio](https://www.thymio.org) is an educational robot which goal is to let children discover programming. [Mobsya](http://www.mobsya.org) is a non-profit association which goal is to create products and service to help children to discover digital technology and sciences. It is at the heart of Thymio's development and takes care of its production and distribution.

Up to April 2018, Mobsya was working as part of the Aseba community in the Aseba repository to develop Thymio software tools in an integrated manner. After this date, Mobsya decided to fork the Aseba repository and to keep developping Thymio software tools in [its own repository](https://github.com/Mobsya/aseba). 

[Access the complete public message from Mobsya](https://docs.google.com/document/d/1ijY2dZR2TbSySMqFfbCgG_ifZPGoxrAQaVuZVQZHKlY/edit#)

## Hack and contribute

If you found a bug with Aseba, please look at the [existing issues](https://github.com/aseba-community/aseba/issues) to see if your problem has already been reported.
If not, please [open a new issue](https://github.com/aseba-community/aseba/issues/new).

If you want to help us translating Aseba or its documentation, please read the [localization guide](localization.md).

If you are interested in contributing to programming Aseba, please read the [contributor guide](contributing.md).

Aseba is not actively maintained, but if you send a reasonable pull request that solves a bug, it will likely get merged.

Enjoy Aseba!

The developers
